Loading...
Searching...
No Matches
fglmvec.cc File Reference
`#include "kernel/mod2.h"`
`#include "kernel/structs.h"`
`#include "coeffs/numbers.h"`
`#include "fglm.h"`
`#include "fglmvec.h"`

Go to the source code of this file.

## Data Structures

class | fglmVectorRep

## Macros

#define | PROT(msg)
#define | STICKYPROT(msg)
#define | PROT2(msg, arg)
#define | STICKYPROT2(msg, arg)
#define | fglmASSERT(ignore1, ignore2)

## Functions

fglmVector | operator- (const fglmVector &v)
fglmVector | operator+ (const fglmVector &lhs, const fglmVector &rhs)
fglmVector | operator- (const fglmVector &lhs, const fglmVector &rhs)
fglmVector | operator* (const fglmVector &v, const number n)
fglmVector | operator* (const number n, const fglmVector &v)

## Macro Definition Documentation

## fglmASSERT

#define fglmASSERT | ( |  | ignore1,
|  |  | ignore2 )

Definition at line 28 of file fglmvec.cc.

## PROT

#define PROT | ( |  | msg | ) |

Definition at line 24 of file fglmvec.cc.

## PROT2

#define PROT2 | ( |  | msg,
|  |  | arg )

Definition at line 26 of file fglmvec.cc.

## STICKYPROT

#define STICKYPROT | ( |  | msg | ) |

Value:
if (BTEST1(OPT_PROT)) Print(msg)
Print
#define Print
Definition emacs.cc:80
OPT_PROT
#define OPT_PROT
Definition options.h:76
BTEST1
#define BTEST1(a)
Definition options.h:34

Definition at line 25 of file fglmvec.cc.

## STICKYPROT2

#define STICKYPROT2 | ( |  | msg,
|  |  | arg )

Value:
if (BTEST1(OPT_PROT)) Print(msg,arg)

Definition at line 27 of file fglmvec.cc.

## Function Documentation

## operator*() [1/2]

fglmVector operator* | ( | const fglmVector & | v,
|  | const number | n )

Definition at line 426 of file fglmvec.cc.

{
fglmVector temp = v;
temp *= n;
return temp;
}
fglmVector
Definition fglmvec.h:19
v
const Variable & v
< [in] a sqrfree bivariate poly
Definition facBivar.h:39

## operator*() [2/2]

fglmVector operator* | ( | const number | n,
|  | const fglmVector & | v )

Definition at line 433 of file fglmvec.cc.

{
fglmVector temp = v;
temp *= n;
return temp;
}

## operator+()

fglmVector operator+ | ( | const fglmVector & | lhs,
|  | const fglmVector & | rhs )

Definition at line 412 of file fglmvec.cc.

{
fglmVector temp = lhs;
temp += rhs;
return temp;
}

## operator-() [1/2]

fglmVector operator- | ( | const fglmVector & | lhs,
|  | const fglmVector & | rhs )

Definition at line 419 of file fglmvec.cc.

{
fglmVector temp = lhs;
temp -= rhs;
return temp;
}

## operator-() [2/2]

fglmVector operator- | ( | const fglmVector & | v | ) |

Definition at line 398 of file fglmvec.cc.

{
fglmVector temp (v.size ());
int i;
number n;
for(i = v.size (); i > 0; i--)
{
n = nCopy (v.getconstelem (i));
n = nInpNeg (n);
temp.setelem (i, n);
}
return temp;
}
i
int i
Definition cfEzgcd.cc:132
nInpNeg
#define nInpNeg(n)
Definition numbers.h:21
nCopy
#define nCopy(n)
Definition numbers.h:15